Issue #8959 has been reported by kyrylo (Kyrylo Silin).

----------------------------------------
Feature #8959: Allow top level prepend
https://bugs.ruby-lang.org/issues/8959

Author: kyrylo (Kyrylo Silin)
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 


Since `include` works on top level, it's reasonable to enable top level
`prepend` as well.

I've already added a patch (it was partially merged by nobu): https://github.com/ruby/ruby/pull/395


-- 
http://bugs.ruby-lang.org/